<template>
  <div class="section-title">
    <slot>{{ title }}</slot>
  </div>
</template>

<script setup lang="ts">
withDefaults(
  defineProps<{
    title?: string;
  }>(),
  {
    title: "",
  },
);
</script>

<style scoped>
.section-title {
  font-weight: var(--wo-font-weight-title, 600);
  margin-bottom: var(--wo-spacing-sm, 8px);
}
</style>
